<?php



$tdatamarza = array();
$tdatamarza[".searchableFields"] = array();
$tdatamarza[".ShortName"] = "marza";
$tdatamarza[".OwnerID"] = "";
$tdatamarza[".OriginalTable"] = "Marza";


$tdatamarza[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatamarza[".originalPagesByType"] = $tdatamarza[".pagesByType"];
$tdatamarza[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatamarza[".originalPages"] = $tdatamarza[".pages"];
$tdatamarza[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatamarza[".originalDefaultPages"] = $tdatamarza[".defaultPages"];

//	field labels
$fieldLabelsmarza = array();
$fieldToolTipsmarza = array();
$pageTitlesmarza = array();
$placeHoldersmarza = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsmarza["Portuguese(Standard)"] = array();
	$fieldToolTipsmarza["Portuguese(Standard)"] = array();
	$placeHoldersmarza["Portuguese(Standard)"] = array();
	$pageTitlesmarza["Portuguese(Standard)"] = array();
	$fieldLabelsmarza["Portuguese(Standard)"]["CodMarza"] = "Cod Marza";
	$fieldToolTipsmarza["Portuguese(Standard)"]["CodMarza"] = "";
	$placeHoldersmarza["Portuguese(Standard)"]["CodMarza"] = "";
	$fieldLabelsmarza["Portuguese(Standard)"]["Marza"] = "Marza";
	$fieldToolTipsmarza["Portuguese(Standard)"]["Marza"] = "";
	$placeHoldersmarza["Portuguese(Standard)"]["Marza"] = "";
	if (count($fieldToolTipsmarza["Portuguese(Standard)"]))
		$tdatamarza[".isUseToolTips"] = true;
}


	$tdatamarza[".NCSearch"] = true;



$tdatamarza[".shortTableName"] = "marza";
$tdatamarza[".nSecOptions"] = 0;

$tdatamarza[".mainTableOwnerID"] = "";
$tdatamarza[".entityType"] = 0;

$tdatamarza[".strOriginalTableName"] = "Marza";

	



$tdatamarza[".showAddInPopup"] = false;

$tdatamarza[".showEditInPopup"] = false;

$tdatamarza[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatamarza[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatamarza[".listAjax"] = false;
//	temporary
$tdatamarza[".listAjax"] = false;

	$tdatamarza[".audit"] = false;

	$tdatamarza[".locking"] = false;


$pages = $tdatamarza[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatamarza[".edit"] = true;
	$tdatamarza[".afterEditAction"] = 1;
	$tdatamarza[".closePopupAfterEdit"] = 1;
	$tdatamarza[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatamarza[".add"] = true;
$tdatamarza[".afterAddAction"] = 1;
$tdatamarza[".closePopupAfterAdd"] = 1;
$tdatamarza[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatamarza[".list"] = true;
}



$tdatamarza[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatamarza[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatamarza[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatamarza[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatamarza[".printFriendly"] = true;
}



$tdatamarza[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatamarza[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatamarza[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatamarza[".isUseAjaxSuggest"] = true;

$tdatamarza[".rowHighlite"] = true;



			

$tdatamarza[".ajaxCodeSnippetAdded"] = false;

$tdatamarza[".buttonsAdded"] = false;

$tdatamarza[".addPageEvents"] = false;

// use timepicker for search panel
$tdatamarza[".isUseTimeForSearch"] = false;


$tdatamarza[".badgeColor"] = "8FBC8B";


$tdatamarza[".allSearchFields"] = array();
$tdatamarza[".filterFields"] = array();
$tdatamarza[".requiredSearchFields"] = array();

$tdatamarza[".googleLikeFields"] = array();
$tdatamarza[".googleLikeFields"][] = "CodMarza";
$tdatamarza[".googleLikeFields"][] = "Marza";



$tdatamarza[".tableType"] = "list";

$tdatamarza[".printerPageOrientation"] = 0;
$tdatamarza[".nPrinterPageScale"] = 100;

$tdatamarza[".nPrinterSplitRecords"] = 40;

$tdatamarza[".geocodingEnabled"] = false;










$tdatamarza[".pageSize"] = 999;

$tdatamarza[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatamarza[".strOrderBy"] = $tstrOrderBy;

$tdatamarza[".orderindexes"] = array();

$tdatamarza[".sqlHead"] = "SELECT CodMarza,  	Marza";
$tdatamarza[".sqlFrom"] = "FROM Marza";
$tdatamarza[".sqlWhereExpr"] = "";
$tdatamarza[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatamarza[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatamarza[".arrGroupsPerPage"] = $arrGPP;

$tdatamarza[".highlightSearchResults"] = true;

$tableKeysmarza = array();
$tableKeysmarza[] = "CodMarza";
$tdatamarza[".Keys"] = $tableKeysmarza;


$tdatamarza[".hideMobileList"] = array();




//	CodMarza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodMarza";
	$fdata["GoodName"] = "CodMarza";
	$fdata["ownerTable"] = "Marza";
	$fdata["Label"] = GetFieldLabel("Marza","CodMarza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodMarza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodMarza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamarza["CodMarza"] = $fdata;
		$tdatamarza[".searchableFields"][] = "CodMarza";
//	Marza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Marza";
	$fdata["GoodName"] = "Marza";
	$fdata["ownerTable"] = "Marza";
	$fdata["Label"] = GetFieldLabel("Marza","Marza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Marza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Marza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamarza["Marza"] = $fdata;
		$tdatamarza[".searchableFields"][] = "Marza";


$tables_data["Marza"]=&$tdatamarza;
$field_labels["Marza"] = &$fieldLabelsmarza;
$fieldToolTips["Marza"] = &$fieldToolTipsmarza;
$placeHolders["Marza"] = &$placeHoldersmarza;
$page_titles["Marza"] = &$pageTitlesmarza;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Marza"] = array();
//	Vinha Report Clone
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Vinha Report Clone";
		$detailsParam["dOriginalTable"] = "Vinha";



		$detailsParam["dType"]=PAGE_REPORT;
			$detailsParam["dShortTable"] = "vinha_report_clone";
	$detailsParam["dCaptionTable"] = GetTableCaption("Vinha_Report_Clone");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["Marza"][$dIndex] = $detailsParam;

	
		$detailsTablesData["Marza"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["Marza"][$dIndex]["masterKeys"][]="CodMarza";

				$detailsTablesData["Marza"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["Marza"][$dIndex]["detailKeys"][]="Marza";

// tables which are master tables for current table (detail)
$masterTablesData["Marza"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_marza()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CodMarza,  	Marza";
$proto0["m_strFrom"] = "FROM Marza";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CodMarza",
	"m_strTable" => "Marza",
	"m_srcTableName" => "Marza"
));

$proto6["m_sql"] = "CodMarza";
$proto6["m_srcTableName"] = "Marza";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Marza",
	"m_srcTableName" => "Marza"
));

$proto8["m_sql"] = "Marza";
$proto8["m_srcTableName"] = "Marza";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "Marza";
$proto11["m_srcTableName"] = "Marza";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "CodMarza";
$proto11["m_columns"][] = "Marza";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "Marza";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "Marza";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Marza";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_marza = createSqlQuery_marza();


	
		;

		

$tdatamarza[".sqlquery"] = $queryData_marza;

$tableEvents["Marza"] = new eventsBase;
$tdatamarza[".hasEvents"] = false;

?>